%define short_name commons-modeler

Name: jakarta-%short_name
Version: 1.2
Release: alt0.1
Summary: Jakarta Commons Modeler Package
License: Apache Software License
Group: Development/Java
Source0: %short_name-%version-dev.tar.bz2
Url: http://jakarta.apache.org/commons/modeler

BuildArch: noarch

BuildPreReq: /proc rpm-build-java
BuildRequires: ant jmx_impl junit jakarta-commons-digester jakarta-commons-logging jakarta-commons-beanutils
BuildRequires: xml-commons-apis jaxp_parser_impl jaxp_transform_impl
Requires: jmx_impl jakarta-commons-digester jakarta-commons-logging jakarta-commons-beanutils xml-commons-apis
Requires: jaxp_parser_impl jaxp_transform_impl

%description
The Modeler project shall create and maintain a set of Java
classes to provide the facilities described in the preceeding section, plus
unit tests and small examples of using these facilities to instrument
Java classes with Model MBean support.

%package javadoc
Summary: Javadoc for %name
Group: Development/Java
Requires: java-common

%description javadoc
Javadoc for %name.

%prep
%setup -q -n modeler
# remove all binary libs
find . -name "*.jar" -exec rm -f {} \;

%build
%__ant \
	-Djaxp.jaxp.jar=%_javadir/xml-commons-apis.jar \
	-Djaxp.parser.jar=%_javadir/jaxp_parser_impl.jar \
	-Djaxp.xalan.jar=%_javadir/jaxp_transform_impl.jar \
	-Djmx.jar=%_javadir/jmx_impl.jar \
	-Dcommons-logging.jar=%_javadir/jakarta-commons-logging.jar \
	-Dcommons-digester.jar=%_javadir/jakarta-commons-digester.jar \
	dist

%install
# jars
install -d -m 755 %buildroot%_javadir
install -m 644 dist/%short_name.jar %buildroot%_javadir/%name.jar

# javadoc
install -d -m 755 %buildroot%_javadocdir/%name
cp -pr dist/docs/* %buildroot%_javadocdir/%name

%files
%doc STATUS.html RELEASE-NOTES.txt PROPOSAL.html
%_javadir/*

%files javadoc
%_javadocdir/%name

%changelog
* Sun Mar 27 2005 Vladimir Lettiev <crux@altlinux.ru> 1.2-alt0.1
- rpm-build-java macroces
- version from cvs 20050321

* Sun Sep 12 2004 Vladimir Lettiev <crux@altlinux.ru> 1.1-alt1
- Rebuild for ALT Linux Sisyphus
- spec cleanup

* Thu Oct 09 2003 Henri Gomez <hgomez at users.sourceforge.net> 0:1.1-2jpp
- fix junit typo (reported by Kaj J. Niemi)

* Wed Oct 08 2003 Henri Gomez <hgomez at users.sourceforge.net> 0:1.1-1jpp
- modeler 1.1

* Tue Mar 25 2003 Nicolas Mailhot <Nicolas.Mailhot (at) JPackage.org> 1.0-6jpp
- for jpackage-utils 1.5

* Thu Feb 27 2003 Henri Gomez <hgomez@users.sourceforge.net> 1.0-5jpp
- fix ASF license

* Thu Feb 27 2003 Henri Gomez <hgomez@users.sourceforge.net> 1.0-4jpp
- fix missing packager tag
- fix new mx4j jar name (mx4j-jmx.jar)

* Fri Jul 12 2002 Henri Gomez <hgomez@users.sourceforge.net> 1.0-3jpp
- updated requires for jaxp_parser_impl and xml-commons-apis

* Mon Jun 10 2002 Henri Gomez <hgomez@users.sourceforge.net> 1.0-2jpp
- use sed instead of bash 2.x extension in link area to make spec compatible
  with distro using bash 1.1x

* Fri Jun 07 2002 Henri Gomez <hgomez@users.sourceforge.net> 1.0-1jpp
- 1.0
- added short names in %_javadir, as does jakarta developpers
- first jPackage release
